Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.CORBA.typecode
Class TypeCodeStruct

    java.lang.Object
      |
      +--org.omg.CORBA.TypeCode
            |
            +--org.openorb.CORBA.typecode.TypeCodeBase
                  |
                  +--org.openorb.CORBA.typecode.TypeCodeStruct

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public class TypeCodeStruct
extends TypeCodeBase

Typecode implementation for structs and exceptions.

Version:
  $Revision: 1.6 $ $Date: 2002/07/19 14:16:58 $
Author:
  Chris Wood
See Also:
  Serialized Form

Method Summary
`TypeCodeBase` | `_base_type()`
`boolean` | `_is_compact()`
`TypeCode` | `concrete_base_type()`
`TypeCode` | `content_type()`
`int` | `default_index()`
`TypeCode` | `discriminator_type()`
`boolean` | `equal(TypeCode tc)`
`boolean` | `equivalent(TypeCode tc)`
`short` | `fixed_digits()`
`short` | `fixed_scale()`
`TypeCode` | `get_compact_typecode()`
`int` | `hashCode()`
`java.lang.String` | `id()`
`TCKind` | `kind()`
`int` | `length()`
`int` | `member_count()`
`Any` | `member_label(int index)`
`java.lang.String` | `member_name(int index)`
`TypeCode` | `member_type(int index)`
`short` | `member_visibility(int index)`
`java.lang.String` | `name()`
`short` | `type_modifier()`

Methods inherited from class org.openorb.CORBA.typecode.TypeCodeBase
`_base_type, equals`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### _is_compact

    public boolean _is_compact()

  Overrides:
    `_is_compact` in class `TypeCodeBase`

### _base_type

    public TypeCodeBase _base_type()

  Overrides:
    `_base_type` in class `TypeCodeBase`

### kind

    public TCKind kind()

  Overrides:
    `kind` in class `TypeCode`

### equivalent

    public boolean equivalent(TypeCode tc)

  Overrides:
    `equivalent` in class `TypeCode`

### equal

    public boolean equal(TypeCode tc)

  Overrides:
    `equal` in class `TypeCode`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### get_compact_typecode

    public TypeCode get_compact_typecode()

  Overrides:
    `get_compact_typecode` in class `TypeCode`

### id

    public java.lang.String id()
                        throws BadKind

  Overrides:
    `id` in class `TypeCode`

### name

    public java.lang.String name()
                          throws BadKind

  Overrides:
    `name` in class `TypeCode`

### member_count

    public int member_count()
                     throws BadKind

  Overrides:
    `member_count` in class `TypeCode`

### member_type

    public TypeCode member_type(int index)
                         throws BadKind,
                                Bounds

  Overrides:
    `member_type` in class `TypeCode`

### member_name

    public java.lang.String member_name(int index)
                                 throws BadKind,
                                        Bounds

  Overrides:
    `member_name` in class `TypeCode`

### length

    public int length()
               throws BadKind

  Overrides:
    `length` in class `TypeCode`

### default_index

    public int default_index()
                      throws BadKind

  Overrides:
    `default_index` in class `TypeCode`

### discriminator_type

    public TypeCode discriminator_type()
                                throws BadKind

  Overrides:
    `discriminator_type` in class `TypeCode`

### content_type

    public TypeCode content_type()
                          throws BadKind

  Overrides:
    `content_type` in class `TypeCode`

### member_label

    public Any member_label(int index)
                     throws BadKind,
                            Bounds

  Overrides:
    `member_label` in class `TypeCode`

### fixed_digits

    public short fixed_digits()
                       throws BadKind

  Overrides:
    `fixed_digits` in class `TypeCode`

### fixed_scale

    public short fixed_scale()
                      throws BadKind

  Overrides:
    `fixed_scale` in class `TypeCode`

### member_visibility

    public short member_visibility(int index)
                            throws BadKind,
                                   Bounds

  Overrides:
    `member_visibility` in class `TypeCode`

### type_modifier

    public short type_modifier()
                        throws BadKind

  Overrides:
    `type_modifier` in class `TypeCode`

### concrete_base_type

    public TypeCode concrete_base_type()
                                throws BadKind

  Overrides:
    `concrete_base_type` in class `TypeCode`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD